<!DOCTYPE html>
<html>
	<head>
		<meta charset='utf-8' />
    <title>Demo Mapbox</title>
		<link rel="stylesheet" href="assets/css/mapbox.css" type="text/css" />
    <script src='https://api.tiles.mapbox.com/mapbox.js/v2.1.0/mapbox.js'></script>  
    <link href='https://api.tiles.mapbox.com/mapbox.js/v2.1.0/mapbox.css' rel='stylesheet' />      
	</head>
	<body>
		<div class='container'>
			<div class='header'>
				<h1>mapbox</h1>
        <?php require 'config/conexion.php'; ?>        
			</div>
			<div class='content'>
        <div class='map-container'>   
            <div id='map' class='map'> </div>
        </div>
        
			</div>
			<div class='footer'>
				<p>
					demo mapbox
				</p>
			</div>
		</div>
      
<script>
  "use strict";

   L.mapbox.accessToken = 'Revisar en mapbox';
   var map = L.mapbox.map('map', 'Revisar en mapbox'),  
      latitud = 19.432580246178212, 
      longitud = -99.13318991661072, 
      zoom = 14,
      myLayer,
      posicion_actual,  
      datos = [];

  function procesar_posicion(posicion) {
    latitud = posicion.coords.latitude;
    longitud = posicion.coords.longitude;
        
    datos.push({
        type: 'Feature',
        geometry: {
            type: 'Point',
            coordinates: [longitud, latitud]
        },
        properties: {
            title: "¡Estás Aquí!",
            'marker-color': "#ECAD27",
            'marker-size': "large",          
            'marker-symbol': "star"
        }
      });
      generar_mapa();
  }

  function procesar_error(error) {
    generar_mapa();
  }
      
  function obtener_posicion_actual() {
     navigator.geolocation.getCurrentPosition(procesar_posicion, procesar_error);
  }

  function preparar_datos() {
    <?php
    if ($stmt = $conexion->prepare("SELECT * FROM lugares")) {
      $stmt->execute();
      $resultados = $stmt->get_result();

			while ($resultado = $resultados->fetch_array()) { 
    ?>            
     datos.push({
          type: 'Feature',
          properties: {
              title: "<?= $resultado['nombre'] ?>",
              'marker-color': '#6082B4',
              'marker-size': 'large',
              'marker-symbol': 'circle'
          },
          geometry: {
              type: 'Point',
              coordinates: [<?= $resultado['longitud']; ?>, <?= $resultado['latitud']; ?>]
          }
      });
      <?php
  			} 
        $stmt->close();
      } 
        $conexion->close();
    ?>
  }

  function generar_mapa() {
    myLayer = L.mapbox.featureLayer(
      {
        type: 'FeatureCollection',
        features: datos       
      }).addTo(map);

     map.fitBounds(myLayer.getBounds());        
  } 

  function inicializar() {
      preparar_datos();
        
    if (navigator.geolocation) {
      obtener_posicion_actual();
    } else {
      generar_mapa();
    }
  }
  
  inicializar();
  
</script>
	</body>
</html>